<body>
    <div class="main-container">
        <mat-card>
            <mat-card-header>
                <mat-card-title>Converter</mat-card-title>
            </mat-card-header>
            <mat-card-content>
                <form #convertForm="ngForm" (ngSubmit)="onConvert(convertForm)">
                    <mat-form-field appearance="outline">
                        <mat-label>Enter a number</mat-label>
                        <input name="number" autocomplete="none" ngModel type="number" min="0" oninput="validity.valid||(value='');" matInput required>
                        <mat-hint>Only positive values</mat-hint>
                    </mat-form-field>
                    <mat-card-actions>
                        <button type="submit" [disabled]="!convertForm.valid" color="primary" mat-flat-button>convert</button>
                    </mat-card-actions>
                </form>
                <h1>{{ romanOut }}</h1>
            </mat-card-content>
        </mat-card>
    </div>
</body>